local MakePlayerCharacter = require "prefabs/player_common"

local assets = {
	Asset( "ANIM", "anim/sdf.zip" ),
	Asset( "ANIM", "anim/ghost_sdf_build.zip" ),
	Asset( "ANIM", "anim/sdfarmor.zip" ),
	Asset( "ANIM", "anim/sdfsuit.zip" )	
}

local prefabs = {}

local start_inv = {"life_bottle"}

local states = {[1] = "sdf", [2] = "sdfsuit", [3] = "sdfarmor"}
local function ChangeForm(inst, state)
	if TheWorld.ismastersim then
		inst.form = state
		inst.form_net:set(state)
	end
	inst.AnimState:SetBuild(states[inst.form])
end

local clientfn = function(inst)
	inst.soundsname = "sdf"
	inst.MiniMapEntity:SetIcon("sdf.tex") 
	inst:AddTag("sdf")
	if inst.components and inst.components.talker ~= nil then
		inst.components.talker.colour = Vector3(.9, .6, 0, 0)
	end
	inst.form = 1
	inst.form_net = net_byte(inst.GUID, "form", "form_dirty")
	if not TheWorld.ismastersim then
		inst:ListenForEvent("form_dirty", ChangeForm)
	end
end

local serverfn = function(inst)
	inst.components.health:SetMaxHealth(100)
	inst.components.sanity:SetMax(200)
	inst.components.hunger:SetMax(100)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE*1)
	inst.components.sanity.night_drain_mult = 1.2
	inst.components.sanity.neg_aura_mult = 1.4	
	
	inst.MakeNormalClothes = function() ChangeForm(inst, 1) end
	inst.MakeGoldSuit = function() ChangeForm(inst, 3) end
	inst.MakeVictorianSuit = function() ChangeForm(inst, 2) end
	
	return inst
end

return MakePlayerCharacter("sdf", prefabs, assets, clientfn, serverfn, start_inv)