local G	  = GLOBAL
local S   = G.STRINGS
local A	  = G.ACTIONS
local N   = S.NAMES
local C   = S.CHARACTERS
local R   = S.RECIPE_DESC
local T   = S.TABS
local CN  = S.CHARACTER_NAMES
local CT  = S.CHARACTER_TITLES
local CQ  = S.CHARACTER_QUOTES
local CD  = S.CHARACTER_DESCRIPTIONS
local Wilson  		= C.GENERIC.DESCRIBE
local Willow  		= C.WILLOW.DESCRIBE
local Wolfgang  	= C.WOLFGANG.DESCRIBE
local Wendy  		= C.WENDY.DESCRIBE
local WX78  		= C.WX78.DESCRIBE
local Wickerbottom  = C.WICKERBOTTOM.DESCRIBE
local Woodie  		= C.WOODIE.DESCRIBE
local Maxwell  		= C.WAXWELL.DESCRIBE
local Wigfrid 		= C.WATHGRITHR.DESCRIBE
local Webber 		= C.WEBBER.DESCRIBE
local require 		= G.require

--Character names, titles, quotes, etc.
CN.sdf = "Fortesque"
CT.sdf = "Sir Daniel Fortesque" --Possibly want to change this to a title rather than his name.
CQ.sdf = "\"Gulp!\""
--STRINGS.CHARACTER_DESCRIPTIONS.sdf = "* He can create items in Medievil tab.\n* Has a nice armor.\n* Coward. He's afraid of monsters and darkness." --original line
CD.sdf = "*Can create medievil items\n*Has nice armor\n*Is a coward, afraid of monsters and darkness" --Changed it to fit DS style a bit more
C.SDF = require "speech/english/speech_sdf"

--Announcements
--ANNOUNCE_NODANIELSUIT = announcement said when a character tries to put on Daniel's suit or armor and is forced to take it right back off.
C.GENERIC.ANNOUNCE_NODANIELSUIT = "It doesn't fit me quite right..." --generic = Wilson and mod characters with no quote written.
C.WILLOW.ANNOUNCE_NODANIELSUIT = "It looks too old-fashioned."
C.WOLFGANG.ANNOUNCE_NODANIELSUIT = "My muscles do not fit!"
C.WENDY.ANNOUNCE_NODANIELSUIT = "I can't wear that. Aura of these items is strange."
C.WX78.ANNOUNCE_NODANIELSUIT = "INADEQUATE ARMOR PARAMETERS"
C.WICKERBOTTOM.ANNOUNCE_NODANIELSUIT = "There's no way I'll wear these antiques!"
C.WOODIE.ANNOUNCE_NODANIELSUIT = "Uncomfortable for chopping things."
C.WAXWELL.ANNOUNCE_NODANIELSUIT = "I prefer my stylish clothing."
C.WATHGRITHR.ANNOUNCE_NODANIELSUIT = "Warrior like me doesn't need it!"
C.WEBBER.ANNOUNCE_NODANIELSUIT = "We don't like this. No can do."

--Actions
A.INSERTSOUL = "Insert Soul"

--Names
N.IRON_HAMMER = "Mighty hammer"
N.IRON_AXE = "Mighty axe"
N.CHALICE = "Chalice of souls"
N.CHALICE_PIECE = "Chalice Piece"
N.THROWING_DAGGER = "Throwing dagger"
N.SHORT_SWORD = "Short sword"
N.LONG_SWORD = "Long sword"
N.MAGIC_SWORD = "Magic sword"
N.LIFE_BOTTLE = "Life bottle"
N.ENERGY_VIAL = "Energy vial"
N.CANE_STICK = "Cane stick"
N.GOLD_ARMOR = "Gold armor"
N.VICTORIAN_SUIT = "Victorian suit"
N.GARGOYLE = "MEDIEVIL"

--Recipe Descriptions
R.IRON_HAMMER = "Both a weapon and a hammer."
R.IRON_AXE = "Both a weapon and an axe for chopping."
R.THROWING_DAGGER = "Sharp throwing blades!"
R.SHORT_SWORD = "Small blade for a small knight."
R.LONG_SWORD = "A sharp and mighty sword."
R.MAGIC_SWORD = "Powerful and magical sword!"
R.LIFE_BOTTLE = "Cure wounds and insanity."
R.ENERGY_VIAL = "It has a small power of healing."
R.CANE_STICK = "It helps for a faster escape... or a fight."
R.GOLD_ARMOR = "Shiny armor for a true hero!"
R.VICTORIAN_SUIT = "Make a dapper suit!"

T.GARGOYLE = "Medievil"

--Examinations (Wilson's also default to mod characters that do not have any quotes written for that prefab!)
Wilson.IRON_HAMMER = "This weapon is almost too heavy for me!"
Wilson.IRON_AXE = "So big! I can hide behind it."
Wilson.CHALICE = "Chalice can reward a true hero!"
Wilson.THROWING_DAGGER = "Useful and small distance weapon." 
Wilson.SHORT_SWORD = "Small blade is a good start." 
Wilson.LONG_SWORD = "This sword is quite heavy!" 
Wilson.MAGIC_SWORD = "I can cut enemies using magic blade!"
Wilson.LIFE_BOTTLE = "It saved me many times..."
Wilson.ENERGY_VIAL = "A small amount of life in the bottle."
Wilson.CANE_STICK = "Elegant stick.. for fast running."
Wilson.GOLD_ARMOR = "This armor is from past and from future! Time travel is so lucrative."
Wilson.VICTORIAN_SUIT = "Like a true gentleman!"
Wilson.CHALICE_PIECE = { --need multiple values for it to randomize
	"Shining...",
}

Willow.IRON_HAMMER = "Powerful, but clunky hammer."
Willow.IRON_AXE = "Sharp enough to kill!"
Willow.CHALICE = "It's not... flammable."
Willow.THROWING_DAGGER = "These daggers may find useful."
Willow.SHORT_SWORD = "Short version of a sword."
Willow.LONG_SWORD = "That sword can make a slice!"
Willow.MAGIC_SWORD = "Magically sharp."
Willow.LIFE_BOTTLE = "This can heal a number of burns!"
Willow.ENERGY_VIAL = "Texture of this drink is strange."
Willow.CANE_STICK = "I can move fast with this!"
Willow.GOLD_ARMOR = "Terribly old-fashioned."
Willow.VICTORIAN_SUIT = "Like an very old lady. No way!"
Willow.CHALICE_PIECE = {
	"Maybe I can sell it.",
}

Wolfgang.IRON_HAMMER = "It's heavy, just like me!"
Wolfgang.IRON_AXE = "Strong axe for strong Wolfgang!"
Wolfgang.CHALICE = "Wolfgang can bash this for gold!"
Wolfgang.THROWING_DAGGER = "Looks more like a toy. Ha!"
Wolfgang.SHORT_SWORD = "This sword is too short!"
Wolfgang.LONG_SWORD = "Long sword! I like it!"
Wolfgang.MAGIC_SWORD = "This sword is strange!"
Wolfgang.LIFE_BOTTLE = "Energy in a bottle!"
Wolfgang.ENERGY_VIAL = "Good potion!"
Wolfgang.CANE_STICK = "Fancy stick."
Wolfgang.GOLD_ARMOR = "Can't fit, this armor is too small!"
Wolfgang.VICTORIAN_SUIT = "Too fancy for Wolfgang!"
Wolfgang.CHALICE_PIECE = {
	"Wolfgang can keep it or sell it.",
}

Wendy.IRON_HAMMER = "It is easy to kill someone with such a hammer."
Wendy.IRON_AXE = "Great axe to inflict deep wounds."
Wendy.CHALICE = "I sense dark presence here."
Wendy.THROWING_DAGGER = "Sharp and inconspicuous tool for carrying death."
Wendy.SHORT_SWORD = "Short blade but deadly enough."
Wendy.LONG_SWORD = "The heavier blade suitable for larger massacre."
Wendy.MAGIC_SWORD = "This weapon is filled with magic."
Wendy.LIFE_BOTTLE = "The contents of this bottle reduces the yoke of death."
Wendy.ENERGY_VIAL = "A small dose of vitality in an elegant vial."
Wendy.CANE_STICK = "With this stick I can rush like the wind."
Wendy.GOLD_ARMOR = "I don't like the energy of the object."
Wendy.VICTORIAN_SUIT = "I doubt that this clothing was appropriate for me."
Wendy.CHALICE_PIECE = {
	"This item has a higher value.",
}

WX78.IRON_HAMMER = "GREAT DECONSTRUCTION"
WX78.IRON_AXE = "STRONG CHOPPING TOOL"
WX78.CHALICE = "GOLD SOURCE"
WX78.THROWING_DAGGER = "DEADLY PROJECTILE"
WX78.SHORT_SWORD = "WEAPON GOOD FOR MODERATE BATTLES"
WX78.LONG_SWORD = "LONGER SWORD VERSION"
WX78.MAGIC_SWORD = "POWERFUL SWORD. MAGIC DETECTED!"
WX78.LIFE_BOTTLE = "GOOD HEALING POTENTIAL"
WX78.ENERGY_VIAL = "GREAT HEALING POWER"
WX78.CANE_STICK = "MOVEMENT MODIFIER"
WX78.GOLD_ARMOR = "INADEQUATE ARMOR PARAMETERS"
WX78.VICTORIAN_SUIT = "INADEQUATE CLOTHES PARAMETERS"
WX78.CHALICE_PIECE = {
	"HIGH VALUE ITEM",
}

Wickerbottom.IRON_HAMMER = "This weapon has great potential."
Wickerbottom.IRON_AXE = "I can chop with this. Also it's a good weapon."
Wickerbottom.CHALICE = "I don't understand why it is here."
Wickerbottom.THROWING_DAGGER = "It's wise to attack from a distance."
Wickerbottom.SHORT_SWORD = "It's short but it can deal a lot of damage."
Wickerbottom.LONG_SWORD = "Such a blade could determine the fate."
Wickerbottom.MAGIC_SWORD = "What could be better than great sword filled with magic?"
Wickerbottom.LIFE_BOTTLE = "This potion contains high medicinal properties."
Wickerbottom.ENERGY_VIAL = "Can provide wound healing."
Wickerbottom.CANE_STICK = "It can boost me in running."
Wickerbottom.GOLD_ARMOR = "Such an old item should be in a museum."
Wickerbottom.VICTORIAN_SUIT = "Such an old suit should be in a museum."
Wickerbottom.CHALICE_PIECE = {
	"This item has great value. I should sell it.",
}

Woodie.IRON_HAMMER = "Not that good as an axe of course."
Woodie.IRON_AXE = "Lucy shouldn't be offended if I'll use it."
Woodie.CHALICE = "No chopping here, eh?"
Woodie.THROWING_DAGGER = "Small knives for throwing."
Woodie.SHORT_SWORD = "Short gladiolus, should come in handy."
Woodie.LONG_SWORD = "Now that's a sword!"
Woodie.MAGIC_SWORD = "Blue sword that glows?"
Woodie.LIFE_BOTTLE = "It will remove my tiredness after grubbing forest!"
Woodie.ENERGY_VIAL = "Can heal some wounds."
Woodie.CANE_STICK = "Faster running through the forest."
Woodie.GOLD_ARMOR = "Very uncomfortable armor."
Woodie.VICTORIAN_SUIT = "My shirt is prettier!"
Woodie.CHALICE_PIECE = {
	"It's broken.",
}

Maxwell.IRON_HAMMER = "I can destroy others work using it."
Maxwell.IRON_AXE = "Nice axe. I should use it."
Maxwell.CHALICE = "I remember when I hid this here."
Maxwell.THROWING_DAGGER = "I can hurt others from a distance."
Maxwell.SHORT_SWORD = "I prefer a more noble sword."
Maxwell.LONG_SWORD = "With this blade I can have more fun."
Maxwell.MAGIC_SWORD = "Long sword upgraded with magic. Nice."
Maxwell.LIFE_BOTTLE = "It can heal me? Not that I need it."
Maxwell.ENERGY_VIAL = "A small invigorating drink."
Maxwell.CANE_STICK = "Poor version of true cane."
Maxwell.GOLD_ARMOR = "This armor is terribly old-fashioned."
Maxwell.VICTORIAN_SUIT = "Now that's a musty suit!"
Maxwell.CHALICE_PIECE = {
	"Broken. But maybe I can still sell it.",
}

Wigfrid.IRON_HAMMER = "This is a heavy battle hammer!"
Wigfrid.IRON_AXE = "I can slice enemies!"
Wigfrid.CHALICE = "Let us make a toast!"
Wigfrid.THROWING_DAGGER = "Too small for a real fight!"
Wigfrid.SHORT_SWORD = "It looks more like a toy!"
Wigfrid.LONG_SWORD = "Now I can chop monsters!"
Wigfrid.MAGIC_SWORD = "It's filled with magic, gross!"
Wigfrid.LIFE_BOTTLE = "It can heal my deep wounds!"
Wigfrid.ENERGY_VIAL = "It will boost me in fight!"
Wigfrid.CANE_STICK = "It not so sharp!"
Wigfrid.GOLD_ARMOR = "Too fancy for a warrior!"
Wigfrid.VICTORIAN_SUIT = "Too elegant. It doesn't fit into the hardships of battle!"
Wigfrid.CHALICE_PIECE = {
	"A gold trophy!",
}

Webber.IRON_HAMMER = "We will smash things!"
Webber.IRON_AXE = "Good weapon for us."
Webber.CHALICE = "We should look inside."
Webber.THROWING_DAGGER = "We can hit bugs with that."
Webber.SHORT_SWORD = "This sword is small."
Webber.LONG_SWORD = "Long sword can deal more damage."
Webber.MAGIC_SWORD = "Sword with magic!"
Webber.LIFE_BOTTLE = "Life in a bottle."
Webber.ENERGY_VIAL = "We can heal ourselves."
Webber.CANE_STICK = "It makes us fast."
Webber.GOLD_ARMOR = "We don't want this. Too shiny."
Webber.VICTORIAN_SUIT = "We don't like this."
Webber.CHALICE_PIECE = {
	"We can keep it. Nice!",
}

modimport "scripts/speech/english/sdfothermodquotes.lua"